package com.gyee.wisdom.alarm.sharding.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.wisdom.alarm.sharding.entity.DeviceModel;
import com.gyee.wisdom.alarm.sharding.entity.DeviceModelMetrics;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface DeviceModelMetricsMapper extends BaseMapper<DeviceModelMetrics> {


    List<DeviceModelMetrics> getDeviceModelMetricsById(@Param("metriccode")String metriccode);

    List<DeviceModelMetrics> getAll();

    DeviceModelMetrics selectModelMetricsById(@Param("id")long id);

    int updateModelMetricsById(DeviceModelMetrics deviceModelMetrics1);

    int insertModelMetrics(DeviceModelMetrics deviceModelMetrics1);

    List<DeviceModelMetrics> getDeviceModelMetrics(@Param("metricCodeList")List<String> metricCodeList,@Param("modelId")String modelId);
}
